#ifndef E_CAMERA_HPP
#define E_CAMERA_HPP
#include <Eigen/Core>
#include <embree3/rtcore.h>
#include <xoshiro.hpp>
#include "sampler.hpp"
#include "scene.hpp"
struct scene;
struct camera{
    Eigen::Vector3f pos;
    Eigen::Vector3f look_at;
    Eigen::Vector3f up;
    std::vector<Eigen::Vector3f> get_image(const scene& sc, size_t n, sampler rng)const;
    camera(const Eigen::Vector3f& loc, const Eigen::Vector3f& look, const Eigen::Vector3f& u);
};
#endif